CVE-2004-0332

Current Description

Extremail 1.5.9 does not check passwords correctly when they are all digits or begin with a digit, which allows remote attackers to gain privileges.

Basic Data

PublishedNovember 23, 2004
Last ModifiedJuly 11, 2017
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeNVD-CWE-Other
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:N/AC:L/Au:N/C:C/I:C/A:C
CVSS 2 - Access VectorNETWORK
CVSS 2 - Access ComplexityLOW
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactCOMPLETE
CVSS 2 - Availability ImpactCOMPLETE
CVSS 2 - Base Score10.0
SeverityHIGH
Exploitability Score10.0
Impact Score10.0
Obtain All Privilegetrue
Obtain User Privilegefalse
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3ApplicationExtremailExtremail1.0*******
    2.3ApplicationExtremailExtremail1.0.1*******
    2.3ApplicationExtremailExtremail1.0.2*******
    2.3ApplicationExtremailExtremail1.0.3*******
    2.3ApplicationExtremailExtremail1.1*******
    2.3ApplicationExtremailExtremail1.1.1*******
    2.3ApplicationExtremailExtremail1.1.2*******
    2.3ApplicationExtremailExtremail1.1.3*******
    2.3ApplicationExtremailExtremail1.1.4*******
    2.3ApplicationExtremailExtremail1.1.5*******
    2.3ApplicationExtremailExtremail1.1.6*******
    2.3ApplicationExtremailExtremail1.1.7*******
    2.3ApplicationExtremailExtremail1.1.8*******
    2.3ApplicationExtremailExtremail1.1.9*******
    2.3ApplicationExtremailExtremail1.1.10*******
    2.3ApplicationExtremailExtremail1.5*******
    2.3ApplicationExtremailExtremail1.5.5*******
    2.3ApplicationExtremailExtremail1.5.8*******
    2.3ApplicationExtremailExtremail1.5.9*******

Vulnerable Software List

VendorProductVersions
Extremail Extremail 1.0, 1.0.1, 1.0.2, 1.0.3, 1.1, 1.1.1, 1.1.10, 1.1.2, 1.1.3, 1.1.4, 1.1.5, 1.1.6, 1.1.7, 1.1.8, 1.1.9, 1.5, 1.5.5, 1.5.8, 1.5.9

References

NameSourceURLTags
20040226 Extremail Security Problemhttp://marc.info/?l=bugtraq&m=107783767517850&w=2BUGTRAQ
9754http://www.securityfocus.com/bid/9754BIDVendor Advisory
extremail-password-gain-access(15329)https://exchange.xforce.ibmcloud.com/vulnerabilities/15329XF